metadata:
    name: dd-speed-test
    format: "Lava-Test Test Definition 1.0"
    description: "dd write/read speed test."
    maintainer:
        - chase.qi@linaro.org
    os:
        - android
    devices:
        - hi6220-hikey
        - apq8016-sbc
    scope:
        - performance
    environment:
        - lava-test-shell
        - local-test-runner

params:
    # /data partition will be tested by default.
    # Use '-p' specify partition. Example "/dev/block/mmcblk1p1"
    PARTITION: ""
    # You may need to run dd test 4-5 times for an accurate evaluation.
    ITERATION: "5"
    # Specify device serial number for adb connection if more than one device
    # connected.
    ANDROID_SERIAL: ""
    # Specify timeout in seconds for wait_boot_completed
    BOOT_TIMEOUT: "300"

run:
    steps:
        - cd ./automated/android/dd-wr-speed
        - ./dd-wr-speed.sh -p "${PARTITION}" -i "${ITERATION}" -s "${ANDROID_SERIAL}" -t "${BOOT_TIMEOUT}"
        - ../../utils/send-to-lava.sh ./output/result.txt
